# Response - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types / Response

# Response

(common) `data class Response` (source)

### Constructors

(common)

#### <init>

`Response(ok: Boolean = false, description: String? = null, errorCode: Int? = null, result: JsonElement? = null, parameters: ResponseParametersRaw? = null)`

### Properties

(common)

#### description

`val description: String?`

(common)

#### errorCode

`val errorCode: Int?`

(common)

#### ok

`val ok: Boolean`

(common)

#### parameters

`val parameters: ResponseParametersRaw?`

(common)

#### result

`val result: JsonElement?`